apt 3.2.0 commandline package manager

Public Member Functions | Public Attributes | List of all members
VersionIsAllVersions Struct Reference
Inheritance diagram for VersionIsAllVersions:

## Public Member Functions
| VersionIsAllVersions (std::unique_ptr< APT::CacheFilter::Matcher > base)
bool | operator() (pkgCache::GrpIterator const &) override
bool | operator() (pkgCache::VerIterator const &Ver) override
bool | operator() (pkgCache::PkgIterator const &Pkg) override

## Public Attributes
std::unique_ptr< APT::CacheFilter::Matcher > | base

## Member Function Documentation

## ◆ operator()() [1/3]

bool operator() | ( | pkgCache::GrpIterator const & |  | ) |
| inline override virtual

Implements Matcher.

## ◆ operator()() [2/3]

bool operator() | ( | pkgCache::PkgIterator const & | Pkg | ) |
| inline override virtual

Implements Matcher.

## ◆ operator()() [3/3]

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |
| inline override virtual

Implements Matcher.

The documentation for this struct was generated from the following file:

- apt-pkg/cachefilter-patterns.h